Permalink
Browse files

Adding the ability to override the autotools executables used by the

buildconf script via the PHP_AUTOCONF and PHP_AUTOHEADER environmental
variables.
  • Loading branch information...
1 parent b30fd67 commit 3ac5ec3b7e854a08a02e977996da322bf6dca80b @jparise jparise committed Apr 4, 2005
Showing with 14 additions and 4 deletions.
  1. +2 −0 NEWS
  2. +5 −2 build/build2.mk
  3. +7 −2 build/buildcheck.sh
View
2 NEWS
@@ -28,6 +28,8 @@ PHP NEWS
. added spl_autoload*() functions
. converted several 5.0 examples into c code
. added class File
+- Added the ability to override the autotools executables used by the buildconf
+ script via the PHP_AUTOCONF and PHP_AUTOHEADER environmental variables. (Jon)
- Added several new functions to support the PostgreSQL v3 protocol introduced
in PostgreSQL 7.4. (Christopher)
. pg_transaction_status() - in-transaction status of a database connection.
View
7 build/build2.mk
@@ -32,6 +32,9 @@ acconfig_h_SOURCES = acconfig.h.in $(config_h_files)
targets = $(TOUCH_FILES) configure $(config_h_in)
+PHP_AUTOCONF ?= 'autoconf'
+PHP_AUTOHEADER ?= 'autoheader'
+
SUPPRESS_WARNINGS ?= 2>&1 | (egrep -v '(AC_TRY_RUN called without default to allow cross compiling|AC_PROG_CXXCPP was called before AC_PROG_CXX|defined in acinclude.m4 but never used|AC_PROG_LEX invoked multiple times|AC_DECL_YYTEXT is expanded from...|the top level)'||true)
all: $(targets)
@@ -45,7 +48,7 @@ $(config_h_in): configure acconfig.h
# correctly otherwise (timestamps are not updated)
@echo rebuilding $@
@rm -f $@
- autoheader $(SUPPRESS_WARNINGS)
+ $(PHP_AUTOHEADER) $(SUPPRESS_WARNINGS)
$(TOUCH_FILES):
touch $(TOUCH_FILES)
@@ -56,5 +59,5 @@ aclocal.m4: configure.in acinclude.m4
configure: aclocal.m4 configure.in $(config_m4_files)
@echo rebuilding $@
- autoconf $(SUPPRESS_WARNINGS)
+ $(PHP_AUTOCONF) $(SUPPRESS_WARNINGS)
View
9 build/buildcheck.sh
@@ -16,15 +16,20 @@
# | Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
-# $Id: buildcheck.sh,v 1.34 2005-01-20 01:41:19 sniper Exp $
+# $Id: buildcheck.sh,v 1.35 2005-04-04 07:16:01 jon Exp $
#
echo "buildconf: checking installation..."
stamp=$1
+# Allow the autoconf executable to be overriden by $PHP_AUTOCONF.
+if test -z "$PHP_AUTOCONF"; then
+ PHP_AUTOCONF='autoconf'
+fi
+
# autoconf 2.13 or newer
-ac_version=`autoconf --version 2>/dev/null|head -n 1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
+ac_version=`$PHP_AUTOCONF --version 2>/dev/null|head -n 1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
if test -z "$ac_version"; then
echo "buildconf: autoconf not found."
echo " You need autoconf version 2.13 or newer installed"

0 comments on commit 3ac5ec3

Please sign in to comment.